@import "components/dashboard_link/dashboard_link.pcss";
@import "components/location_panel/location_panel.pcss";
@import "components/logo/logo.pcss";
@import "components/phone_link/phone_link.pcss";

/* Header ================ */

:root {
  --header-top-height: 56px;
  --header-top-background-color: #e1e1e1;
  --header-bottom-background-color: var(--color-white);

  @media (--laptop-max) {
    --header-top-height: 46px;
  }
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-header);
  width: 100%;
  min-width: 300px;
}

.header__container {
  display: flex;
  justify-content: space-between;
  height: 100%;
}

.header__top {
  height: var(--header-top-height);
  background-color: var(--header-top-background-color);
}

.header__location {
  height: 100%;
  padding-right: 30px;
  padding-left: 20px;
  margin-left: -10px;
}

.header__location--active {
  background-color: var(--color-white);
}

.header__dashboard-link {
  margin-left: auto;
}

.header__bottom {
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: var(--header-bottom-background-color);

  @media (--desktop-large-max) {
    padding-top: 5px;
    padding-bottom: 5px;
  }
}

.header__logo {
  margin-right: 20px;
}

.header__navigation {

  @media (--laptop-min) {
    margin-right: 20px;
  }
}

.header__contact-block {
  display: flex;
  align-items: center;
}

.header__button-call {

  @media (--tablet-small-max) {
    display: none;
  }
}

.header__phone {
  margin-left: 20px;

  @media (--desktop-large-max) {
    display: none;
  }

  @media (--laptop-max) {
    display: inline-flex;
  }

  @media (--tablet-max) {
    display: none;
  }
}

.header-panel__overlay {
  position: absolute;
  top: var(--header-top-height);
  right: 0;
  left: 0;
  z-index: 32;
  height: calc(100vh - var(--header-top-height));
  background-color: var(--overlay-backgroind-color);
  opacity: 0;
  transition: .3s ease;
  pointer-events: none;

  &.header-panel__overlay--visible {
    opacity: 1;
    transition: .3s ease;
    pointer-events: auto;
  }
}

.header__button-menu {
  margin-left: 20px;

  @media (--laptop-min) {
    display: none;
  }
}

/* ================ end header */
